@echo off

rem ###########################################################################
rem #
rem #	Name:		sample.bat
rem #	Purpose:	Batch script that runs a sample instance of PB as a console application
rem #	Parameters:	none
rem #	Author:		AEMO
rem #	Date:		08-Oct-2010
rem #	Version:	1.1
rem #	Modifications:  added access to pbEnvironment.bat
rem #                   Change author to AEMO
rem #                   30 August 2012 Bob Jones 7984 Upgrade from Java 6 to 7.
rem ###########################################################################

rem edit the pbEnvironment.bat to get the environment variables correct
Call pbEnvironment.bat

echo JAVA_HOME=%JAVA_HOME%
echo HOME=%HOME%
echo lib=%lib%

Rem put a title on the screen for maintenance reasons

title Participant Batcher - sample

Rem run the application instance
rem note the JVM must be the correct version or you get java.lang.unsupportedcalssversionerror

java -classpath %lib% -Xms128M -Xmx128M com.nemmco.participantbatcher.ParticipantBatcher sample

pause

